@import "vue-select/src/scss/vue-select.scss";

.searchform {
  width: 100%;
  padding: 35px 20px;
  background: rgb(130, 179, 229);
  background: linear-gradient(
    90deg,
    rgba(130, 179, 229, 1) 0%,
    rgba(168, 213, 233, 1) 100%
  );
}

.form {
  &-row {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    margin-bottom: 20px;
    &:last-child {
      margin-bottom: 0;
    }
    @media (max-width: 640px) {
      flex-direction: column;
    }
  }
  &-group {
    display: flex;
    justify-content: space-between;
    flex-basis: calc(100% - 130px);
    @media (max-width: 640px) {
      flex-basis: 44px;
      flex-direction: column;
    }
  }

  &-select {
    flex-basis: calc(100% / 3 - 2px / 3);
    height: 44px;
    line-height: 44px;
    @media (max-width: 640px) {
      margin-bottom: 1px;
    }
    .vs__dropdown-toggle {
      border: none;
      border-radius: 0;
      background: white;
      height: 44px;
      padding: 0 20px;
    }
    .vs__actions {
      padding: 0;
      margin: 0;
      transform: rotate(0deg);
    }
    &.vs--single {
      .vs__selected {
        padding: 0;
        margin: 0;
        line-height: 44px;
      }
      .vs__selected-options {
        margin: 0;
        padding: 0;
      }

      &.vs--open {
        .vs__selected {
          position: relative;
          opacity: 1;
        }
        .vs__actions {
          transform: rotate(180deg);
        }
      }
    }
    &:first-child {
      .vs__dropdown-toggle {
        border-radius: 3px 0 0 3px;
        @media (max-width: 640px) {
          border-radius: 3px 3px 0 0;
        }
      }
    }
  }
  &-button {
    flex-basis: 130px;
    background: #5e9969;
    color: #fff;
    border-radius: 0 3px 3px 0;
    text-align: center;
    @media (max-width: 640px) {
      flex-basis: 44px;
      border-radius: 0 0 3px 3px;
    }
  }
  &-input {
    font-size: 18px;
    width: 100%;
    box-sizing: border-box;
    padding: 0 20px;
    border: none;
    outline: none;
    height: 44px;
    &:first-child {
      @media (max-width: 640px) {
        border-radius: 3px 3px 0 0;
      }
    }
  }
  &-cash {
    flex-basis: calc(551 / 900 * 100%);
    @media (max-width: 640px) {
      flex-wrap: wrap;
      margin-bottom: 20px;
    }
    .form-select {
      flex-basis: calc((100% - (100% / 3 + 3px)) / 2 - 1px);
      @media (max-width: 640px) {
        flex-basis: 100%;
        margin-top: 1px;
      }
    }
    .form-input {
      background: #e6f2fe;
      flex-basis: calc((100% - (100% / 3 + 3px)) / 2 - 1px);
      &:first-child {
        flex-basis: calc(100% / 3 + 3px);
      }
      @media (max-width: 640px) {
        flex-basis: calc(50% - 0.5px);
        &:first-child {
          flex-basis: calc(50% - 0.5px);
        }
        &:nth-child(1) {
          border-radius: 3px 0 0 0;
        }
        &:nth-child(2) {
          border-radius: 0 3px 0 0;
        }
      }
    }
    .vs__dropdown-toggle {
      border-radius: 0 0 3px 3px;
      background: #e6f2fe;
      @media (max-width: 640px) {
        flex-basis: 100%;
      }
    }
    @media (max-width: 640px) {
      flex-direction: row;
    }
  }
  &-space {
    flex-basis: calc(329 / 900 * 100%);
    @media (max-width: 640px) {
      flex-direction: row;
    }
    input {
      width: calc(50% - 27.5px);
      padding: 0 20px;
      background: #e6f2fe;
      &:first-child {
        border-radius: 3px 0 0 3px;
      }
    }
    .label {
      background: #c2e3f2;
      flex-basis: 54px;
      margin-left: -1px;
      border-radius: 0 3px 3px 0;
      display: flex;
      justify-content: center;
      align-items: center;
      color: #333333;
    }
  }
  &-cash,
  &-space {
    .form-button {
      flex-basis: 100%;
      height: 100%;
      border-radius: 3px;
      border: 2px solid #506981;
      background: transparent;
      color: #506981;
      display: flex;
      justify-content: center;
      align-items: center;
      cursor: pointer;
      height: 44px;
    }
  }

  &-settings {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #e6f2fe;
    padding: 0 20px;
    height: 46px;
    font-size: 16px;
    @media (max-width: 640px) {
      flex-direction: column;
      height: auto;
    }
  }
  &-params {
    display: flex;
    align-items: center;
    cursor: pointer;
    @media (max-width: 640px) {
      flex-basis: 46px;
    }
  }
  &-addadv {
    border-bottom: 1px dotted #506981;
    color: #506981;
    &.active {
      border-bottom-color: transparent;
      color: #adb9c4;
      cursor: default;
      @media (max-width: 640px) {
        display: none;
      }
    }
  }
  &-toogle {
    width: 40px;
    height: 22px;
    padding: 2px;
    background: #5e9969;
    border-radius: 11px;
    display: flex;
    justify-content: flex-end;
    cursor: pointer;
    margin: 0 13px;
    &.active {
      justify-content: flex-start;
    }
  }
  &-toogleCircle {
    border-radius: 100%;
    width: 18px;
    height: 18px;
    background: #fff;
  }
  &-addparam {
    color: #5c738a;
    display: flex;
    align-items: center;
    margin-left: 20px;
    img {
      margin-right: 10px;
    }
    &.active {
      color: #798590;
      img {
        transform: rotate(45deg);
      }
    }
  }
}
